## com.puppycrawl.tools.checkstyle.checks.whitespace
Class OperatorWrapOption

    java.lang.Object
      com.puppycrawl.tools.checkstyle.checks.AbstractOption
          com.puppycrawl.tools.checkstyle.checks.whitespace.OperatorWrapOption

All Implemented Interfaces:
  Serializable

    public final class OperatorWrapOption

extends AbstractOption

Represents the options for wrapping on an operator.

Version:
  1.0
Author:
  Rick Giles
See Also:
  Serialized Form

Field Summary
`static OperatorWrapOption` `EOL` Require that the operator is at the end of the line.
`static OperatorWrapOption` `NL` Require that the operator is on a new line.

Method Summary
`protected Map` `getStrToOpt()` Returns the map from string representations to options.

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.AbstractOption
`decode, readResolve, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NL

    public static final OperatorWrapOption NL

  Require that the operator is on a new line.

### EOL

    public static final OperatorWrapOption EOL

  Require that the operator is at the end of the line.

Method Detail

### getStrToOpt

    protected Map getStrToOpt()

  Returns the map from string representations to options.

  Specified by:
    `getStrToOpt` in class `AbstractOption`
  Returns:
    `Map` from strings to options.

Back to the Checkstyle Home Page